## basic256 0.9.6.59

=== Makefile ===
#############################################################################
# Makefile for building: BASIC256
# Generated by qmake (2.01a) (Qt 4.7.0) on: Thu Jan 20 21:20:00 2011
# Project:  BASIC256.pro
# Template: app
# Command: /usr/bin/qmake -o Makefile BASIC256.pro
#############################################################################

first: release
install: release-install
uninstall: release-uninstall
MAKEFILE      = Makefile
QMAKE         = /usr/bin/qmake
DEL_FILE      = rm -f
CHK_DIR_EXISTS= test -d
MKDIR         = mkdir -p
COPY          = cp -f
COPY_FILE     = $(COPY)
COPY_DIR      = $(COPY) -r
INSTALL_FILE  = install -m 644 -p
INSTALL_PROGRAM = install -m 755 -p
INSTALL_DIR   = $(COPY_DIR)
DEL_FILE      = rm -f
SYMLINK       = ln -f -s
DEL_DIR       = rmdir
MOVE          = mv -f
CHK_DIR_EXISTS= test -d
MKDIR         = mkdir -p
SUBTARGETS    =  \
		release \
		debug

release: $(MAKEFILE).Release FORCE
	$(MAKE) -f $(MAKEFILE).Release
release-make_default: $(MAKEFILE).Release FORCE
	$(MAKE) -f $(MAKEFILE).Release 
release-make_first: $(MAKEFILE).Release FORCE
	$(MAKE) -f $(MAKEFILE).Release first
release-all: $(MAKEFILE).Release FORCE
	$(MAKE) -f $(MAKEFILE).Release all
release-clean: $(MAKEFILE).Release FORCE
	$(MAKE) -f $(MAKEFILE).Release clean
release-distclean: $(MAKEFILE).Release FORCE
	$(MAKE) -f $(MAKEFILE).Release distclean
release-install: $(MAKEFILE).Release FORCE
	$(MAKE) -f $(MAKEFILE).Release install
release-uninstall: $(MAKEFILE).Release FORCE
	$(MAKE) -f $(MAKEFILE).Release uninstall
debug: $(MAKEFILE).Debug FORCE
	$(MAKE) -f $(MAKEFILE).Debug
debug-make_default: $(MAKEFILE).Debug FORCE
	$(MAKE) -f $(MAKEFILE).Debug 
debug-make_first: $(MAKEFILE).Debug FORCE
	$(MAKE) -f $(MAKEFILE).Debug first
debug-all: $(MAKEFILE).Debug FORCE
	$(MAKE) -f $(MAKEFILE).Debug all
debug-clean: $(MAKEFILE).Debug FORCE
	$(MAKE) -f $(MAKEFILE).Debug clean
debug-distclean: $(MAKEFILE).Debug FORCE
	$(MAKE) -f $(MAKEFILE).Debug distclean
debug-install: $(MAKEFILE).Debug FORCE
	$(MAKE) -f $(MAKEFILE).Debug install
debug-uninstall: $(MAKEFILE).Debug FORCE
	$(MAKE) -f $(MAKEFILE).Debug uninstall

Makefile: BASIC256.pro  /usr/share/qt4/mkspecs/linux-g++/qmake.conf /usr/share/qt4/mkspecs/common/g++.conf \
		/usr/share/qt4/mkspecs/common/unix.conf \
		/usr/share/qt4/mkspecs/common/linux.conf \
		/usr/share/qt4/mkspecs/qconfig.pri \
		/usr/share/qt4/mkspecs/modules/qt_webkit_version.pri \
		/usr/share/qt4/mkspecs/features/qt_functions.prf \
		/usr/share/qt4/mkspecs/features/qt_config.prf \
		/usr/share/qt4/mkspecs/features/exclusive_builds.prf \
		/usr/share/qt4/mkspecs/features/default_pre.prf \
		/usr/share/qt4/mkspecs/features/release.prf \
		/usr/share/qt4/mkspecs/features/debug_and_release.prf \
		/usr/share/qt4/mkspecs/features/default_post.prf \
		/usr/share/qt4/mkspecs/features/qt.prf \
		/usr/share/qt4/mkspecs/features/unix/thread.prf \
		/usr/share/qt4/mkspecs/features/moc.prf \
		/usr/share/qt4/mkspecs/features/warn_on.prf \
		/usr/share/qt4/mkspecs/features/resources.prf \
		/usr/share/qt4/mkspecs/features/uic.prf \
		/usr/share/qt4/mkspecs/features/yacc.prf \
		/usr/share/qt4/mkspecs/features/lex.prf \
		/usr/share/qt4/mkspecs/features/include_source_dir.prf \
		/usr/lib/libQtWebKit.prl \
		/usr/lib/libQtGui.prl \
		/usr/lib/libQtCore.prl
	$(QMAKE) -o Makefile BASIC256.pro
/usr/share/qt4/mkspecs/common/g++.conf:
/usr/share/qt4/mkspecs/common/unix.conf:
/usr/share/qt4/mkspecs/common/linux.conf:
/usr/share/qt4/mkspecs/qconfig.pri:
/usr/share/qt4/mkspecs/modules/qt_webkit_version.pri:
/usr/share/qt4/mkspecs/features/qt_functions.prf:
/usr/share/qt4/mkspecs/features/qt_config.prf:
/usr/share/qt4/mkspecs/features/exclusive_builds.prf:
/usr/share/qt4/mkspecs/features/default_pre.prf:
/usr/share/qt4/mkspecs/features/release.prf:
/usr/share/qt4/mkspecs/features/debug_and_release.prf:
/usr/share/qt4/mkspecs/features/default_post.prf:
/usr/share/qt4/mkspecs/features/qt.prf:
/usr/share/qt4/mkspecs/features/unix/thread.prf:
/usr/share/qt4/mkspecs/features/moc.prf:
/usr/share/qt4/mkspecs/features/warn_on.prf:
/usr/share/qt4/mkspecs/features/resources.prf:
/usr/share/qt4/mkspecs/features/uic.prf:
/usr/share/qt4/mkspecs/features/yacc.prf:
/usr/share/qt4/mkspecs/features/lex.prf:
/usr/share/qt4/mkspecs/features/include_source_dir.prf:
/usr/lib/libQtWebKit.prl:
/usr/lib/libQtGui.prl:
/usr/lib/libQtCore.prl:
qmake: qmake_all FORCE
	@$(QMAKE) -o Makefile BASIC256.pro

qmake_all: FORCE

make_default: release-make_default debug-make_default FORCE
make_first: release-make_first debug-make_first FORCE
all: release-all debug-all FORCE
clean: release-clean debug-clean FORCE
distclean: release-distclean debug-distclean FORCE
	-$(DEL_FILE) Makefile

check: first

release-mocclean: $(MAKEFILE).Release
	$(MAKE) -f $(MAKEFILE).Release mocclean
debug-mocclean: $(MAKEFILE).Debug
	$(MAKE) -f $(MAKEFILE).Debug mocclean
mocclean: release-mocclean debug-mocclean

release-mocables: $(MAKEFILE).Release
	$(MAKE) -f $(MAKEFILE).Release mocables
debug-mocables: $(MAKEFILE).Debug
	$(MAKE) -f $(MAKEFILE).Debug mocables
mocables: release-mocables debug-mocables
FORCE:

$(MAKEFILE).Release: Makefile
$(MAKEFILE).Debug: Makefile

=== debian/changelog ===
basic256 (0.9.6.59-1ubuntu1) natty; urgency=low

  * Merge from debian unstable. Remaining changes:
    - debian/control: Build-Depend on libqtwebkit-dev. It has separated from
      libqt-dev. Fix FTBFS

 -- Angel Abad <angelabad@ubuntu.com>  Sun, 23 Jan 2011 13:04:44 +0100

basic256 (0.9.6.59-1) unstable; urgency=low

  * Imported Upstream version 0.9.6.59
    - Updated copyright file with years
    - Refreshed patches

 -- Ryan Kavanagh <ryanakca@kubuntu.org>  Sat, 22 Jan 2011 11:29:27 -0500

basic256 (0.9.6.50-1ubuntu1) natty; urgency=low

  * Merge from debian unstable. Remaining change:
    - debian/control: Build-Depend on libqtwebkit-dev. It has separated from
      libqt-dev. Fix FTBFS

 -- Bhavani Shankar <bhavi@ubuntu.com>  Wed, 22 Dec 2010 12:21:38 +0530

basic256 (0.9.6.50-1) unstable; urgency=low

  * New upstream release
  * Unapply patches after build

 -- Ryan Kavanagh <ryanakca@kubuntu.org>  Tue, 21 Dec 2010 10:12:05 -0500

basic256 (0.9.6.48-1ubuntu1) natty; urgency=low

  * Merge from debian unstable (LP: #680841). Remaining changes:
    - debian/control: Build-Depend on libqtwebkit-dev. It has separated from
      libqt-dev. Fixes FTBFS

 -- Angel Abad <angelabad@ubuntu.com>  Wed, 24 Nov 2010 10:52:48 +0100

basic256 (0.9.6.48-1) unstable; urgency=low

  * Imported Upstream version 0.9.6.48
  * Refreshed patches
  * Turn on DM-Upload-Allowed

 -- Ryan Kavanagh <ryanakca@kubuntu.org>  Tue, 16 Nov 2010 12:14:42 -0500

basic256 (0.9.6.32-1ubuntu1) natty; urgency=low

  * debian/control: Build-Depend on libqtwebkit-dev. It has separated from
    libqt-dev. Fixes FTBFS (LP: #664209)

 -- Roy Jamison <xteejyx@googlemail.com>  Thu, 21 Oct 2010 00:39:18 +0200

basic256 (0.9.6.32-1) unstable; urgency=low

  * New upstream release
  * Update 03_examples.diff to not install example Networking files

 -- Ryan Kavanagh <ryanakca@kubuntu.org>  Sun, 29 Aug 2010 20:52:08 -0400

basic256 (0.9.6.27-2) unstable; urgency=low

  * Don't FTBFS on kfreebsd, thanks to Petr Salinger for the patch.
    (Closes: #594164)

 -- Ryan Kavanagh <ryanakca@kubuntu.org>  Tue, 24 Aug 2010 07:53:10 -0400

basic256 (0.9.6.27-1) unstable; urgency=low

  * New upstream release
      - Added flite1-dev to B-D
      - Added libespeak-dev to B-D
      - Added libsqlite3-dev as B-D
      - Added libsdl1.2-dev and libsdl-mixer1.2-dev as B-D
  * Bumped Standards-Version to 3.9.1
  * Debian source format 3.0 (quilt)
  * Ditch CDBS rules for dh7 rules
  * Drop CDBS from the build depends and bump debhelper version to 7.0.50~
  * debian/compat 5 -> 7
  * Override dh_auto_configure so that we run qmake
  * Deal with manpages from debian/basic256.manpages instead of debian/rules
  * Drop debian/dirs, unneeded
  * Added a watch file
  * Install in /usr/bin, not /usr/local/bin, 01_usr_bin.diff
  * Let's call the executable basic256 instead of BASIC256 to keep
    consistent with previous releases, 02_basic256_not_BASIC256.diff
  * Updated the manpage
  * Updated the copyright file with new copyright holders.
  * Use the GPL-2 common-license, not the GPL symlink to the most recent
    version
  * Prepend missing 'Copyright' to '(C)' in debian/copyright
  * Updated 'Homepage:' in debian/control
  * Added the Vcs-* tags
  * Install examples in their proper location, 03_examples.diff
  * Added icon for desktop file
  * Update .desktop file with new Icon

 -- Ryan Kavanagh <ryanakca@kubuntu.org>  Fri, 13 Aug 2010 11:07:44 -0400

basic256 (0.9.2-2) unstable; urgency=low

  * Change the copyright year in debian/copyright from 2008 to 2006 as per
    the ftpmaster's request.
  * Bump Standards-Version to 3.8.0.

 -- Ryan Kavanagh <ryanakca@kubuntu.org>  Sat, 14 Jun 2008 20:14:01 -0400

basic256 (0.9.2-1) unstable; urgency=low

  * Initial release (Closes: #463088) 

 -- Ryan Kavanagh <ryanakca@kubuntu.org>  Mon, 28 Jan 2008 15:53:29 -0500

=== debian/control ===
Source: basic256
Section: devel
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Ryan Kavanagh <ryanakca@kubuntu.org>
Build-Depends: debhelper (>= 7.0.50~),
 bison,
 flex,
 flite1-dev,
 libespeak-dev,
 libqt4-dev,
 libsdl1.2-dev,
 libsdl-mixer1.2-dev,
 libsqlite3-dev,
 libqtwebkit-dev
Standards-Version: 3.9.1
Homepage: http://www.basic256.org/
Vcs-Browser: http://git.debian.org/?p=collab-maint/basic256.git
Vcs-Git: git://git.debian.org/collab-maint/basic256.git
DM-Upload-Allowed: yes

Package: basic256
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: educational BASIC programming environment for children
 BASIC-256 is an easy to use version of BASIC designed to teach young
 children the basics of computer programming. It uses traditional 
 control structures like gosub, for/next, and goto, which helps kids
 easily see how program flow-control works. It has a built-in graphics
 mode which lets them draw pictures on screen in minutes, and a set 
 of detailed, easy-to-follow tutorials that introduce programming 
 concepts through fun exercises.

## basic256 0.9.6.66

=== Makefile ===
--- 
+++ 
@@ -1,6 +1,6 @@
 #############################################################################
 # Makefile for building: BASIC256
-# Generated by qmake (2.01a) (Qt 4.7.0) on: Thu Jan 20 21:20:00 2011
+# Generated by qmake (2.01a) (Qt 4.7.2) on: Sun Jul 3 00:08:34 2011
 # Project:  BASIC256.pro
 # Template: app
 # Command: /usr/bin/qmake -o Makefile BASIC256.pro

=== debian/changelog ===
basic256 (0.9.6.66-1) unstable; urgency=low

  * New upstream release
  * Fix typo in .desktop file, thanks Andrea Carpineti (Closes: #620136)
  * Updated 01_usr_bin.diff to reflect upstream's changes to BASIC256.pro
  * Dropped 04_portable_sound.diff , applied upstream
  * Bumped Standards to 3.9.2, no changes required
  * Added DEP-3 header to patches
  * Override duplicate-files warning for 24K of example files

 -- Ryan Kavanagh <ryanakca@kubuntu.org>  Wed, 13 Jul 2011 13:52:39 -0400

basic256 (0.9.6.60-2) unstable; urgency=low

  * Depend on libqtwebkit-dev, it has split from libqt4-dev. Fixes FTBFS.
    (Closes: #600885, #618064)

 -- Ryan Kavanagh <ryanakca@kubuntu.org>  Sun, 13 Mar 2011 15:23:55 -0400

basic256 (0.9.6.60-1) unstable; urgency=low

  * New upstream release

 -- Ryan Kavanagh <ryanakca@kubuntu.org>  Wed, 23 Feb 2011 11:07:23 -0500

=== debian/control ===
--- 
+++ 
@@ -1,19 +1,18 @@
 Source: basic256
 Section: devel
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Ryan Kavanagh <ryanakca@kubuntu.org>
+Maintainer: Ryan Kavanagh <ryanakca@kubuntu.org>
 Build-Depends: debhelper (>= 7.0.50~),
  bison,
  flex,
  flite1-dev,
  libespeak-dev,
  libqt4-dev,
+ libqtwebkit-dev,
  libsdl1.2-dev,
  libsdl-mixer1.2-dev,
- libsqlite3-dev,
- libqtwebkit-dev
-Standards-Version: 3.9.1
+ libsqlite3-dev
+Standards-Version: 3.9.2
 Homepage: http://www.basic256.org/
 Vcs-Browser: http://git.debian.org/?p=collab-maint/basic256.git
 Vcs-Git: git://git.debian.org/collab-maint/basic256.git

## basic256 0.9.6.69a

=== Makefile ===
--- 
+++ 
@@ -1,6 +1,6 @@
 #############################################################################
 # Makefile for building: BASIC256
-# Generated by qmake (2.01a) (Qt 4.7.2) on: Sun Jul 3 00:08:34 2011
+# Generated by qmake (2.01a) (Qt 4.7.4) on: Tue Jan 24 15:51:20 2012
 # Project:  BASIC256.pro
 # Template: app
 # Command: /usr/bin/qmake -o Makefile BASIC256.pro
@@ -63,7 +63,7 @@
 debug-uninstall: $(MAKEFILE).Debug FORCE
 	$(MAKE) -f $(MAKEFILE).Debug uninstall
 
-Makefile: BASIC256.pro  /usr/share/qt4/mkspecs/linux-g++/qmake.conf /usr/share/qt4/mkspecs/common/g++.conf \
+Makefile: BASIC256.pro  /usr/share/qt4/mkspecs/linux-g++-64/qmake.conf /usr/share/qt4/mkspecs/common/g++.conf \
 		/usr/share/qt4/mkspecs/common/unix.conf \
 		/usr/share/qt4/mkspecs/common/linux.conf \
 		/usr/share/qt4/mkspecs/qconfig.pri \
@@ -84,9 +84,9 @@
 		/usr/share/qt4/mkspecs/features/yacc.prf \
 		/usr/share/qt4/mkspecs/features/lex.prf \
 		/usr/share/qt4/mkspecs/features/include_source_dir.prf \
-		/usr/lib/libQtWebKit.prl \
-		/usr/lib/libQtGui.prl \
-		/usr/lib/libQtCore.prl
+		/usr/lib/x86_64-linux-gnu/libQtWebKit.prl \
+		/usr/lib/x86_64-linux-gnu/libQtGui.prl \
+		/usr/lib/x86_64-linux-gnu/libQtCore.prl
 	$(QMAKE) -o Makefile BASIC256.pro
 /usr/share/qt4/mkspecs/common/g++.conf:
 /usr/share/qt4/mkspecs/common/unix.conf:
@@ -109,9 +109,9 @@
 /usr/share/qt4/mkspecs/features/yacc.prf:
 /usr/share/qt4/mkspecs/features/lex.prf:
 /usr/share/qt4/mkspecs/features/include_source_dir.prf:
-/usr/lib/libQtWebKit.prl:
-/usr/lib/libQtGui.prl:
-/usr/lib/libQtCore.prl:
+/usr/lib/x86_64-linux-gnu/libQtWebKit.prl:
+/usr/lib/x86_64-linux-gnu/libQtGui.prl:
+/usr/lib/x86_64-linux-gnu/libQtCore.prl:
 qmake: qmake_all FORCE
 	@$(QMAKE) -o Makefile BASIC256.pro

=== debian/changelog ===
basic256 (0.9.6.69a-1) unstable; urgency=low

  [ Ryan Kavanagh ]
  * Imported Upstream version 0.9.6.69a
  * Acknowledge NMU
  * Updated copyright years
  * Bump Standards Version to 3.9.3
  * Drop DM-Upload-Allowed: yes and update maintainer email to @debian.org

  [ Cyril Brulebois ]
  * Fix FTBFS with gcc 4.7 due to missing <unistd.h> includes (Closes: #667110)
    (05_ftbfs_gcc4.7.diff)

 -- Ryan Kavanagh <rak@debian.org>  Fri, 27 Apr 2012 09:36:14 -0400

basic256 (0.9.6.66-1.1) unstable; urgency=low

  * Non-maintainer upload.
  * Fix "FTBFS: dpkg-buildpackage: error: dpkg-source -b basic256-
    0.9.6.66 gave error exit status 2": add patch 04_bison.diff that adds the
    generated Bison parser files to the clean target.
    Closes: #652244

 -- gregor herrmann <gregoa@debian.org>  Tue, 21 Feb 2012 20:32:53 +0100

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: basic256
 Section: devel
 Priority: optional
-Maintainer: Ryan Kavanagh <ryanakca@kubuntu.org>
+Maintainer: Ryan Kavanagh <rak@debian.org>
 Build-Depends: debhelper (>= 7.0.50~),
  bison,
  flex,
@@ -12,11 +12,10 @@
  libsdl1.2-dev,
  libsdl-mixer1.2-dev,
  libsqlite3-dev
-Standards-Version: 3.9.2
+Standards-Version: 3.9.3
 Homepage: http://www.basic256.org/
 Vcs-Browser: http://git.debian.org/?p=collab-maint/basic256.git
 Vcs-Git: git://git.debian.org/collab-maint/basic256.git
-DM-Upload-Allowed: yes
 
 Package: basic256
 Architecture: any

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

override_dh_auto_configure:
	qmake

## basic256 1.1.4.0

=== Makefile ===
#############################################################################
# Makefile for building: basic256
# Generated by qmake (3.0) (Qt 5.2.1)
# Project:  BASIC256.pro
# Template: app
# Command: /usr/lib/x86_64-linux-gnu/qt5/bin/qmake -config debug -o Makefile BASIC256.pro
#############################################################################

MAKEFILE      = Makefile

first: debug
install: debug-install
uninstall: debug-uninstall
QMAKE         = /usr/lib/x86_64-linux-gnu/qt5/bin/qmake
DEL_FILE      = rm -f
CHK_DIR_EXISTS= test -d
MKDIR         = mkdir -p
COPY          = cp -f
COPY_FILE     = cp -f
COPY_DIR      = cp -f -R
INSTALL_FILE  = install -m 644 -p
INSTALL_PROGRAM = install -m 755 -p
INSTALL_DIR   = $(COPY_DIR)
DEL_FILE      = rm -f
SYMLINK       = ln -f -s
DEL_DIR       = rmdir
MOVE          = mv -f
SUBTARGETS    =  \
		debug \
		release


debug: FORCE
	$(MAKE) -f $(MAKEFILE).Debug
debug-make_first: FORCE
	$(MAKE) -f $(MAKEFILE).Debug 
debug-all: FORCE
	$(MAKE) -f $(MAKEFILE).Debug all
debug-clean: FORCE
	$(MAKE) -f $(MAKEFILE).Debug clean
debug-distclean: FORCE
	$(MAKE) -f $(MAKEFILE).Debug distclean
debug-install: FORCE
	$(MAKE) -f $(MAKEFILE).Debug install
debug-uninstall: FORCE
	$(MAKE) -f $(MAKEFILE).Debug uninstall
release: FORCE
	$(MAKE) -f $(MAKEFILE).Release
release-make_first: FORCE
	$(MAKE) -f $(MAKEFILE).Release 
release-all: FORCE
	$(MAKE) -f $(MAKEFILE).Release all
release-clean: FORCE
	$(MAKE) -f $(MAKEFILE).Release clean
release-distclean: FORCE
	$(MAKE) -f $(MAKEFILE).Release distclean
release-install: FORCE
	$(MAKE) -f $(MAKEFILE).Release install
release-uninstall: FORCE
	$(MAKE) -f $(MAKEFILE).Release uninstall

Makefile: BASIC256.pro /usr/lib/x86_64-linux-gnu/qt5/mkspecs/linux-g++-64/qmake.conf /usr/lib/x86_64-linux-gnu/qt5/mkspecs/features/spec_pre.prf \
		/usr/lib/x86_64-linux-gnu/qt5/mkspecs/common/shell-unix.conf \
		/usr/lib/x86_64-linux-gnu/qt5/mkspecs/common/unix.conf \
		/usr/lib/x86_64-linux-gnu/qt5/mkspecs/common/linux.conf \
		/usr/lib/x86_64-linux-gnu/qt5/mkspecs/common/gcc-base.conf \
		/usr/lib/x86_64-linux-gnu/qt5/mkspecs/common/gcc-base-unix.conf \
		/usr/lib/x86_64-linux-gnu/qt5/mkspecs/common/g++-base.conf \
		/usr/lib/x86_64-linux-gnu/qt5/mkspecs/common/g++-unix.conf \
		/usr/lib/x86_64-linux-gnu/qt5/mkspecs/qconfig.pri \
		/usr/lib/x86_64-linux-gnu/qt5/mkspecs/modules/qt_lib_bootstrap_private.pri \
		/usr/lib/x86_64-linux-gnu/qt5/mkspecs/modules/qt_lib_concurrent.pri \
		/usr/lib/x86_64-linux-gnu/qt5/mkspecs/modules/qt_lib_concurrent_private.pri \
		/usr/lib/x86_64-linux-gnu/qt5/mkspecs/modules/qt_lib_core.pri \
		/usr/lib/x86_64-linux-gnu/qt5/mkspecs/modules/qt_lib_core_private.pri \
		/usr/lib/x86_64-linux-gnu/qt5/mkspecs/modules/qt_lib_dbus.pri \
		/usr/lib/x86_64-linux-gnu/qt5/mkspecs/modules/qt_lib_dbus_private.pri \
		/usr/lib/x86_64-linux-gnu/qt5/mkspecs/modules/qt_lib_gui.pri \
		/usr/lib/x86_64-linux-gnu/qt5/mkspecs/modules/qt_lib_gui_private.pri \
		/usr/lib/x86_64-linux-gnu/qt5/mkspecs/modules/qt_lib_location.pri \
		/usr/lib/x86_64-linux-gnu/qt5/mkspecs/modules/qt_lib_multimedia.pri \
		/usr/lib/x86_64-linux-gnu/qt5/mkspecs/modules/qt_lib_multimediawidgets.pri \
		/usr/lib/x86_64-linux-gnu/qt5/mkspecs/modules/qt_lib_network.pri \
		/usr/lib/x86_64-linux-gnu/qt5/mkspecs/modules/qt_lib_network_private.pri \
		/usr/lib/x86_64-linux-gnu/qt5/mkspecs/modules/qt_lib_opengl.pri \
		/usr/lib/x86_64-linux-gnu/qt5/mkspecs/modules/qt_lib_opengl_private.pri \
		/usr/lib/x86_64-linux-gnu/qt5/mkspecs/modules/qt_lib_openglextensions.pri \
		/usr/lib/x86_64-linux-gnu/qt5/mkspecs/modules/qt_lib_openglextensions_private.pri \
		/usr/lib/x86_64-linux-gnu/qt5/mkspecs/modules/qt_lib_platformsupport_private.pri \
		/usr/lib/x86_64-linux-gnu/qt5/mkspecs/modules/qt_lib_positioning.pri \
		/usr/lib/x86_64-linux-gnu/qt5/mkspecs/modules/qt_lib_printsupport.pri \
		/usr/lib/x86_64-linux-gnu/qt5/mkspecs/modules/qt_lib_printsupport_private.pri \
		/usr/lib/x86_64-linux-gnu/qt5/mkspecs/modules/qt_lib_qml.pri \
		/usr/lib/x86_64-linux-gnu/qt5/mkspecs/modules/qt_lib_qmltest.pri \
		/usr/lib/x86_64-linux-gnu/qt5/mkspecs/modules/qt_lib_quick.pri \
		/usr/lib/x86_64-linux-gnu/qt5/mkspecs/modules/qt_lib_sensors.pri \
		/usr/lib/x86_64-linux-gnu/qt5/mkspecs/modules/qt_lib_serialport.pri \
		/usr/lib/x86_64-linux-gnu/qt5/mkspecs/modules/qt_lib_sql.pri \
		/usr/lib/x86_64-linux-gnu/qt5/mkspecs/modules/qt_lib_sql_private.pri \
		/usr/lib/x86_64-linux-gnu/qt5/mkspecs/modules/qt_lib_testlib.pri \
		/usr/lib/x86_64-linux-gnu/qt5/mkspecs/modules/qt_lib_testlib_private.pri \
		/usr/lib/x86_64-linux-gnu/qt5/mkspecs/modules/qt_lib_webkit.pri \
		/usr/lib/x86_64-linux-gnu/qt5/mkspecs/modules/qt_lib_webkit_private.pri \
		/usr/lib/x86_64-linux-gnu/qt5/mkspecs/modules/qt_lib_webkitwidgets.pri \
		/usr/lib/x86_64-linux-gnu/qt5/mkspecs/modules/qt_lib_webkitwidgets_private.pri \
		/usr/lib/x86_64-linux-gnu/qt5/mkspecs/modules/qt_lib_widgets.pri \
		/usr/lib/x86_64-linux-gnu/qt5/mkspecs/modules/qt_lib_widgets_private.pri \
		/usr/lib/x86_64-linux-gnu/qt5/mkspecs/modules/qt_lib_xml.pri \
		/usr/lib/x86_64-linux-gnu/qt5/mkspecs/modules/qt_lib_xml_private.pri \
		/usr/lib/x86_64-linux-gnu/qt5/mkspecs/features/qt_functions.prf \
		/usr/lib/x86_64-linux-gnu/qt5/mkspecs/features/qt_config.prf \
		/usr/lib/x86_64-linux-gnu/qt5/mkspecs/linux-g++-64/qmake.conf \
		/usr/lib/x86_64-linux-gnu/qt5/mkspecs/features/spec_post.prf \
		/usr/lib/x86_64-linux-gnu/qt5/mkspecs/features/exclusive_builds.prf \
		/usr/lib/x86_64-linux-gnu/qt5/mkspecs/features/default_pre.prf \
		/usr/lib/x86_64-linux-gnu/qt5/mkspecs/features/resolve_config.prf \
		/usr/lib/x86_64-linux-gnu/qt5/mkspecs/features/exclusive_builds_post.prf \
		/usr/lib/x86_64-linux-gnu/qt5/mkspecs/features/default_post.prf \
		/usr/lib/x86_64-linux-gnu/qt5/mkspecs/features/qt.prf \
		/usr/lib/x86_64-linux-gnu/qt5/mkspecs/features/resources.prf \
		/usr/lib/x86_64-linux-gnu/qt5/mkspecs/features/moc.prf \
		/usr/lib/x86_64-linux-gnu/qt5/mkspecs/features/unix/opengl.prf \
		/usr/lib/x86_64-linux-gnu/qt5/mkspecs/features/uic.prf \
		/usr/lib/x86_64-linux-gnu/qt5/mkspecs/features/unix/thread.prf \
		/usr/lib/x86_64-linux-gnu/qt5/mkspecs/features/unix/gdb_dwarf_index.prf \
		/usr/lib/x86_64-linux-gnu/qt5/mkspecs/features/warn_on.prf \
		/usr/lib/x86_64-linux-gnu/qt5/mkspecs/features/testcase_targets.prf \
		/usr/lib/x86_64-linux-gnu/qt5/mkspecs/features/exceptions.prf \
		/usr/lib/x86_64-linux-gnu/qt5/mkspecs/features/yacc.prf \
		/usr/lib/x86_64-linux-gnu/qt5/mkspecs/features/lex.prf \
		BASIC256.pro \
		/usr/lib/x86_64-linux-gnu/libQt5PrintSupport.prl \
		/usr/lib/x86_64-linux-gnu/libQt5Widgets.prl \
		/usr/lib/x86_64-linux-gnu/libQt5Gui.prl \
		/usr/lib/x86_64-linux-gnu/libQt5Core.prl \
		/usr/lib/x86_64-linux-gnu/libQt5Multimedia.prl \
		/usr/lib/x86_64-linux-gnu/libQt5Network.prl \
		/usr/lib/x86_64-linux-gnu/libQt5WebKit.prl \
		/usr/lib/x86_64-linux-gnu/libQt5SerialPort.prl \
		/usr/lib/x86_64-linux-gnu/libQt5Sql.prl
	$(QMAKE) -config debug -o Makefile BASIC256.pro
/usr/lib/x86_64-linux-gnu/qt5/mkspecs/features/spec_pre.prf:
/usr/lib/x86_64-linux-gnu/qt5/mkspecs/common/shell-unix.conf:
/usr/lib/x86_64-linux-gnu/qt5/mkspecs/common/unix.conf:
/usr/lib/x86_64-linux-gnu/qt5/mkspecs/common/linux.conf:
/usr/lib/x86_64-linux-gnu/qt5/mkspecs/common/gcc-base.conf:
/usr/lib/x86_64-linux-gnu/qt5/mkspecs/common/gcc-base-unix.conf:
/usr/lib/x86_64-linux-gnu/qt5/mkspecs/common/g++-base.conf:
/usr/lib/x86_64-linux-gnu/qt5/mkspecs/common/g++-unix.conf:
/usr/lib/x86_64-linux-gnu/qt5/mkspecs/qconfig.pri:
/usr/lib/x86_64-linux-gnu/qt5/mkspecs/modules/qt_lib_bootstrap_private.pri:
/usr/lib/x86_64-linux-gnu/qt5/mkspecs/modules/qt_lib_concurrent.pri:
/usr/lib/x86_64-linux-gnu/qt5/mkspecs/modules/qt_lib_concurrent_private.pri:
/usr/lib/x86_64-linux-gnu/qt5/mkspecs/modules/qt_lib_core.pri:
/usr/lib/x86_64-linux-gnu/qt5/mkspecs/modules/qt_lib_core_private.pri:
/usr/lib/x86_64-linux-gnu/qt5/mkspecs/modules/qt_lib_dbus.pri:
/usr/lib/x86_64-linux-gnu/qt5/mkspecs/modules/qt_lib_dbus_private.pri:
/usr/lib/x86_64-linux-gnu/qt5/mkspecs/modules/qt_lib_gui.pri:
/usr/lib/x86_64-linux-gnu/qt5/mkspecs/modules/qt_lib_gui_private.pri:
/usr/lib/x86_64-linux-gnu/qt5/mkspecs/modules/qt_lib_location.pri:
/usr/lib/x86_64-linux-gnu/qt5/mkspecs/modules/qt_lib_multimedia.pri:
/usr/lib/x86_64-linux-gnu/qt5/mkspecs/modules/qt_lib_multimediawidgets.pri:
/usr/lib/x86_64-linux-gnu/qt5/mkspecs/modules/qt_lib_network.pri:
/usr/lib/x86_64-linux-gnu/qt5/mkspecs/modules/qt_lib_network_private.pri:
/usr/lib/x86_64-linux-gnu/qt5/mkspecs/modules/qt_lib_opengl.pri:
/usr/lib/x86_64-linux-gnu/qt5/mkspecs/modules/qt_lib_opengl_private.pri:
/usr/lib/x86_64-linux-gnu/qt5/mkspecs/modules/qt_lib_openglextensions.pri:
/usr/lib/x86_64-linux-gnu/qt5/mkspecs/modules/qt_lib_openglextensions_private.pri:
/usr/lib/x86_64-linux-gnu/qt5/mkspecs/modules/qt_lib_platformsupport_private.pri:
/usr/lib/x86_64-linux-gnu/qt5/mkspecs/modules/qt_lib_positioning.pri:
/usr/lib/x86_64-linux-gnu/qt5/mkspecs/modules/qt_lib_printsupport.pri:
/usr/lib/x86_64-linux-gnu/qt5/mkspecs/modules/qt_lib_printsupport_private.pri:
/usr/lib/x86_64-linux-gnu/qt5/mkspecs/modules/qt_lib_qml.pri:
/usr/lib/x86_64-linux-gnu/qt5/mkspecs/modules/qt_lib_qmltest.pri:
/usr/lib/x86_64-linux-gnu/qt5/mkspecs/modules/qt_lib_quick.pri:
/usr/lib/x86_64-linux-gnu/qt5/mkspecs/modules/qt_lib_sensors.pri:
/usr/lib/x86_64-linux-gnu/qt5/mkspecs/modules/qt_lib_serialport.pri:
/usr/lib/x86_64-linux-gnu/qt5/mkspecs/modules/qt_lib_sql.pri:
/usr/lib/x86_64-linux-gnu/qt5/mkspecs/modules/qt_lib_sql_private.pri:
/usr/lib/x86_64-linux-gnu/qt5/mkspecs/modules/qt_lib_testlib.pri:
/usr/lib/x86_64-linux-gnu/qt5/mkspecs/modules/qt_lib_testlib_private.pri:
/usr/lib/x86_64-linux-gnu/qt5/mkspecs/modules/qt_lib_webkit.pri:
/usr/lib/x86_64-linux-gnu/qt5/mkspecs/modules/qt_lib_webkit_private.pri:
/usr/lib/x86_64-linux-gnu/qt5/mkspecs/modules/qt_lib_webkitwidgets.pri:
/usr/lib/x86_64-linux-gnu/qt5/mkspecs/modules/qt_lib_webkitwidgets_private.pri:
/usr/lib/x86_64-linux-gnu/qt5/mkspecs/modules/qt_lib_widgets.pri:
/usr/lib/x86_64-linux-gnu/qt5/mkspecs/modules/qt_lib_widgets_private.pri:
/usr/lib/x86_64-linux-gnu/qt5/mkspecs/modules/qt_lib_xml.pri:
/usr/lib/x86_64-linux-gnu/qt5/mkspecs/modules/qt_lib_xml_private.pri:
/usr/lib/x86_64-linux-gnu/qt5/mkspecs/features/qt_functions.prf:
/usr/lib/x86_64-linux-gnu/qt5/mkspecs/features/qt_config.prf:
/usr/lib/x86_64-linux-gnu/qt5/mkspecs/linux-g++-64/qmake.conf:
/usr/lib/x86_64-linux-gnu/qt5/mkspecs/features/spec_post.prf:
/usr/lib/x86_64-linux-gnu/qt5/mkspecs/features/exclusive_builds.prf:
/usr/lib/x86_64-linux-gnu/qt5/mkspecs/features/default_pre.prf:
/usr/lib/x86_64-linux-gnu/qt5/mkspecs/features/resolve_config.prf:
/usr/lib/x86_64-linux-gnu/qt5/mkspecs/features/exclusive_builds_post.prf:
/usr/lib/x86_64-linux-gnu/qt5/mkspecs/features/default_post.prf:
/usr/lib/x86_64-linux-gnu/qt5/mkspecs/features/qt.prf:
/usr/lib/x86_64-linux-gnu/qt5/mkspecs/features/resources.prf:
/usr/lib/x86_64-linux-gnu/qt5/mkspecs/features/moc.prf:
/usr/lib/x86_64-linux-gnu/qt5/mkspecs/features/unix/opengl.prf:
/usr/lib/x86_64-linux-gnu/qt5/mkspecs/features/uic.prf:
/usr/lib/x86_64-linux-gnu/qt5/mkspecs/features/unix/thread.prf:
/usr/lib/x86_64-linux-gnu/qt5/mkspecs/features/unix/gdb_dwarf_index.prf:
/usr/lib/x86_64-linux-gnu/qt5/mkspecs/features/warn_on.prf:
/usr/lib/x86_64-linux-gnu/qt5/mkspecs/features/testcase_targets.prf:
/usr/lib/x86_64-linux-gnu/qt5/mkspecs/features/exceptions.prf:
/usr/lib/x86_64-linux-gnu/qt5/mkspecs/features/yacc.prf:
/usr/lib/x86_64-linux-gnu/qt5/mkspecs/features/lex.prf:
BASIC256.pro:
/usr/lib/x86_64-linux-gnu/libQt5PrintSupport.prl:
/usr/lib/x86_64-linux-gnu/libQt5Widgets.prl:
/usr/lib/x86_64-linux-gnu/libQt5Gui.prl:
/usr/lib/x86_64-linux-gnu/libQt5Core.prl:
/usr/lib/x86_64-linux-gnu/libQt5Multimedia.prl:
/usr/lib/x86_64-linux-gnu/libQt5Network.prl:
/usr/lib/x86_64-linux-gnu/libQt5WebKit.prl:

=== LEX/Makefile ===

all: basicParse.l basicParse.y
	bison -d basicParse.y
	flex basicParse.l

=== debian/changelog ===
basic256 (1.1.4.0-2) unstable; urgency=medium

  * Fix typo in debian/rules
  * Fix privacy breach in documentation
  * Fix spelling error in binary
  * Machine-readable debian/copyright
  * Add keywords to basic256.desktop

 -- Graham Inggs <ginggs@debian.org>  Mon, 05 Dec 2016 15:14:30 +0200

basic256 (1.1.4.0-1) unstable; urgency=medium

  * New upstream release (Closes: #756836)
    - Fixes FTBFS with GCC 6 (Closes: #811799)
  * Clean generated LEX/lex.yy.c (Closes: #746100)
  * Switch from Qt4 to Qt5 and adjust build-dependencies (Closes: #784452)
  * Drop debian/menu, see #741573
  * Use basic256.png as the icon instead of basic256.xpm
  * Switch to debhelper 10
  * Update debian/watch
  * Use secure URIs for VCS fields
  * Switch to dh --buildsystem qmake, enable hardening flags
    and link with --as-needed
  * Bump Standards-Version to 3.9.8, no further changes
  * Add myself to Uploaders

 -- Graham Inggs <ginggs@debian.org>  Sun, 27 Nov 2016 21:01:45 +0200

=== debian/control ===
--- 
+++ 
@@ -2,20 +2,23 @@
 Section: devel
 Priority: optional
 Maintainer: Ryan Kavanagh <rak@debian.org>
-Build-Depends: debhelper (>= 7.0.50~),
+Uploaders: Graham Inggs <ginggs@debian.org>
+Build-Depends: debhelper (>= 10),
  bison,
  flex,
  flite1-dev,
  libespeak-dev,
- libqt4-dev,
- libqtwebkit-dev,
+ libqt5serialport5-dev,
+ libqt5webkit5-dev,
  libsdl1.2-dev,
  libsdl-mixer1.2-dev,
- libsqlite3-dev
-Standards-Version: 3.9.3
+ libsqlite3-dev,
+ qtbase5-dev,
+ qtmultimedia5-dev,
+Standards-Version: 3.9.8
 Homepage: http://www.basic256.org/
-Vcs-Browser: http://git.debian.org/?p=collab-maint/basic256.git
-Vcs-Git: git://git.debian.org/collab-maint/basic256.git
+Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/basic256.git
+Vcs-Git: https://anonscm.debian.org/git/collab-maint/basic256.git
 
 Package: basic256
 Architecture: any

=== debian/rules ===
#!/usr/bin/make -f
export DEB_LDFLAGS_MAINT_APPEND=-Wl,--as-needed
export DEB_BUILD_MAINT_OPTIONS=hardening=+all
export QT_SELECT=qt5

%:
	dh $@ --buildsystem=qmake

override_dh_auto_clean:
	if [ -f $(CURDIR)/Makefile ]; then \
	    sed -i -e 's/\/usr\/lib\/x86_64-linux-gnu\/qt5\/bin\/qmake/\/usr\/bin\/qmake/' $(CURDIR)/Makefile; \
	fi
	dh_auto_clean

override_dh_auto_configure:
	dh_auto_configure -- BASIC256.pro

=== debian/watch ===
version=3
http://sf.net/kidbasic/basic256_(.+)\.orig@ARCHIVE_EXT@

## basic256 1.1.4.0+dfsg

=== debian/changelog ===
basic256 (1.1.4.0+dfsg-2) unstable; urgency=medium

  [ Graham Inggs ]
  * QA upload
  * Switch to debhelper 13
  * Set Rules-Requires-Root: no
  * Do not link with -Wl,--as-needed, it is now the default
  * Update debian/basic256.lintian-overrides

  [ Helmut Grohne ]
  * Fix FTCBFS: Use a cross qmake during dh_auto_clean. (Closes: #924868)

 -- Graham Inggs <ginggs@debian.org>  Wed, 15 Jul 2020 12:28:39 +0000

basic256 (1.1.4.0+dfsg-1) unstable; urgency=medium

  * QA upload.

  [ Ondřej Nový ]
  * d/watch: Use https protocol

  [ Sudip Mukherjee ]
  * Update Standards-Version to 4.5.0.
  * Update compat level to 12.
  * Orphan the package. (See: #845980)
  * Add exe as Files-Excluded.
  * Repack source after deleting the exe file.
  * Add versionmangle to d/watch.

 -- Sudip Mukherjee <sudipm.mukherjee@gmail.com>  Tue, 24 Mar 2020 23:17:37 +0000

basic256 (1.1.4.0-3) unstable; urgency=medium

  * Update Vcs-* URIs for move to salsa.debian.org
  * Turn debhelper up to 11
  * Remove trailing whitespace from debian/changelog and debian/control
  * Bump Standards-Version to 4.1.4, no changes

 -- Graham Inggs <ginggs@debian.org>  Thu, 03 May 2018 12:26:13 +0000

=== debian/control ===
Source: basic256
Section: devel
Priority: optional
Maintainer: Debian QA Group <packages@qa.debian.org>
Build-Depends: debhelper-compat (= 13),
 bison,
 flex,
 flite1-dev,
 libespeak-dev,
 libqt5serialport5-dev,
 libqt5webkit5-dev,
 libsdl1.2-dev,
 libsdl-mixer1.2-dev,
 libsqlite3-dev,
 qtbase5-dev,
 qtmultimedia5-dev,
Standards-Version: 4.5.0
Rules-Requires-Root: no
Homepage: http://www.basic256.org/
Vcs-Browser: https://salsa.debian.org/debian/basic256
Vcs-Git: https://salsa.debian.org/debian/basic256.git

Package: basic256
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: educational BASIC programming environment for children
 BASIC-256 is an easy to use version of BASIC designed to teach young
 children the basics of computer programming. It uses traditional
 control structures like gosub, for/next, and goto, which helps kids
 easily see how program flow-control works. It has a built-in graphics
 mode which lets them draw pictures on screen in minutes, and a set
 of detailed, easy-to-follow tutorials that introduce programming
 concepts through fun exercises.

=== debian/rules ===
#!/usr/bin/make -f
export DEB_BUILD_MAINT_OPTIONS=hardening=+all
export QT_SELECT=qt5

include /usr/share/dpkg/architecture.mk
ifeq ($(DEB_BUILD_ARCH),$(DEB_HOST_ARCH))
QMAKE = qmake
else
QMAKE = $(DEB_HOST_GNU_TYPE)-qmake
endif

%:
	dh $@ --buildsystem=qmake

override_dh_auto_clean:
	dh_auto_clean -- QMAKE=$(QMAKE)

override_dh_auto_configure:
	dh_auto_configure -- BASIC256.pro

## basic256 2.0.0.11

=== debian/changelog ===
basic256 (2.0.0.11-1) unstable; urgency=low

  [ Debian Janitor ]
  * Use secure URI in Homepage field.
  * Set upstream metadata fields: Archive, Repository.

  [ Barak A. Pearlmutter ]
  * New Upstream Version
  * Adopt Package
  * Forward port patches, 2 of 4 no longer necessary
  * Update desktop icon file
  * Adopt Package (closes: #845980)
  * Update debian/copyright
    - no longer need to repack
    - source file removed, can remove corresponding stanza
  * Run lrelease to refresh translations because why not

 -- Barak A. Pearlmutter <bap@debian.org>  Wed, 28 Oct 2020 22:13:56 +0000

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: basic256
 Section: devel
 Priority: optional
-Maintainer: Debian QA Group <packages@qa.debian.org>
+Maintainer: Barak A. Pearlmutter <bap@debian.org>
 Build-Depends: debhelper-compat (= 13),
  bison,
  flex,
@@ -14,9 +14,11 @@
  libsqlite3-dev,
  qtbase5-dev,
  qtmultimedia5-dev,
+ qttools5-dev,
+ qttools5-dev-tools,
 Standards-Version: 4.5.0
 Rules-Requires-Root: no
-Homepage: http://www.basic256.org/
+Homepage: https://www.basic256.org/
 Vcs-Browser: https://salsa.debian.org/debian/basic256
 Vcs-Git: https://salsa.debian.org/debian/basic256.git

=== debian/rules ===
--- 
+++ 
@@ -12,8 +12,22 @@
 %:
 	dh $@ --buildsystem=qmake
 
+execute_before_dh_auto_build:
+	@echo "Build translation files, probably a noop as they are included in sources."
+	-lrelease BASIC256.pro
+
 override_dh_auto_clean:
 	dh_auto_clean -- QMAKE=$(QMAKE)
 
 override_dh_auto_configure:
 	dh_auto_configure -- BASIC256.pro
+
+# Install desktop icon, must be renamed so do it here rather than basic256.install
+# Available icons files:
+#  Examples/basic256_icon.png: PNG image data, 512 x 512, 8-bit/color RGBA, non-interlaced
+#  resources/images/logo_300x300.png: PNG image data, 300 x 300, 8-bit/color RGB, non-interlaced
+execute_after_dh_install:
+	mkdir -p debian/basic256/usr/share/icons/hicolor/300x300/apps
+	mkdir -p debian/basic256/usr/share/icons/hicolor/512x512/apps
+	cp resources/images/logo_300x300.png debian/basic256/usr/share/icons/hicolor/300x300/apps/basic256.png
+	cp Examples/basic256_icon.png        debian/basic256/usr/share/icons/hicolor/512x512/apps/basic256.png

=== debian/watch ===
version=3
opts=dversionmangle=s/\+dfsg// \
https://sf.net/kidbasic/basic256_(.+)\.orig@ARCHIVE_EXT@

## basic256 2.0.99.7

=== LEX/Makefile ===
# Makefile for LEX folder
# part of the BASIC256 project.

# revision History
# date.... programmer... description...
# ????????               original coding
# 20170612 j.m.reneau    added noline options to bison and flex for Rasberry Pi Build
# 20200405 j.m.reneau    added output of debugging file 

all: basicParse.l basicParse.y
	bison -d -v -l basicParse.y
	flex -L basicParse.l

=== debian/changelog ===
basic256 (2.0.99.7-2build3) noble; urgency=high

  * No change rebuild against libqt5core5t64, libqt5gui5t64,
    libqt5network5t64, libqt5printsupport5t64, libqt5sql5t64,
    libqt5widgets5t64.

 -- Julian Andres Klode <juliank@ubuntu.com>  Mon, 08 Apr 2024 16:37:41 +0200

basic256 (2.0.99.7-2build2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 08:41:13 +0000

basic256 (2.0.99.7-2build1) noble; urgency=medium

  * No-change rebuild against libqt5core5t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 15 Mar 2024 03:57:26 +0000

basic256 (2.0.99.7-2) unstable; urgency=medium

  * Update standards version to 4.6.2, no changes needed.
  * Update debian/copyright
  * Recommend libqt5multimedia5-plugins as it is necessary for some sounds

 -- Barak A. Pearlmutter <bap@debian.org>  Sun, 10 Sep 2023 09:14:11 +0100

basic256 (2.0.99.7-1) unstable; urgency=medium

  * merge upstream svn repo trunk
  * adjust packaging to upstream changes

 -- Barak A. Pearlmutter <bap@debian.org>  Sat, 17 Jun 2023 11:31:54 +0100

basic256 (2.0.0.11-2) unstable; urgency=medium

  * pointer to upstream development repo
  * update debian/watch uscan support file
  * reformat patches
  * bump policy
  * spelling patch: stoping -> stopping
  * not actually using SDL at all (closes: #1038044)

 -- Barak A. Pearlmutter <bap@debian.org>  Fri, 16 Jun 2023 18:15:17 +0100

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: basic256
 Section: devel
 Priority: optional
-Maintainer: Barak A. Pearlmutter <bap@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Barak A. Pearlmutter <bap@debian.org>
 Build-Depends: debhelper-compat (= 13),
  bison,
  flex,
@@ -9,14 +10,13 @@
  libespeak-dev,
  libqt5serialport5-dev,
  libqt5webkit5-dev,
- libsdl1.2-dev,
- libsdl-mixer1.2-dev,
+ libqt5texttospeech5-dev,
  libsqlite3-dev,
  qtbase5-dev,
  qtmultimedia5-dev,
  qttools5-dev,
  qttools5-dev-tools,
-Standards-Version: 4.5.0
+Standards-Version: 4.6.2
 Rules-Requires-Root: no
 Homepage: https://www.basic256.org/
 Vcs-Browser: https://salsa.debian.org/debian/basic256
@@ -25,6 +25,7 @@
 Package: basic256
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}
+Recommends: libqt5multimedia5-plugins
 Description: educational BASIC programming environment for children
  BASIC-256 is an easy to use version of BASIC designed to teach young
  children the basics of computer programming. It uses traditional

=== debian/watch ===
version=4
https://sf.net/kidbasic/@PACKAGE@_?@ANY_VERSION@\.orig@ARCHIVE_EXT@

## basic256 2.0.99.10

=== debian/changelog ===
basic256 (2.0.99.10-2) unstable; urgency=medium

  * remove unnecessary build dependency (closes: #1093804)
  * merge upstream svn repo trunk

 -- Barak A. Pearlmutter <bap@debian.org>  Thu, 23 Jan 2025 14:06:54 +0000

basic256 (2.0.99.10-1) unstable; urgency=low

  * new upstream release; merge upstream svn repo trunk
  * debian/copyright: use spaces rather than tabs to start continuation lines.
  * bump policy
  * update quilt patch contexts
  * clean *.qm, for source build after successful build (closes: #1044115)
  * exclude prebuilt MS Windows binary from sources (thanks, lintian!)

 -- Barak A. Pearlmutter <bap@debian.org>  Tue, 09 Apr 2024 11:01:40 +0100

=== debian/control ===
--- 
+++ 
@@ -1,22 +1,20 @@
 Source: basic256
 Section: devel
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Barak A. Pearlmutter <bap@debian.org>
+Maintainer: Barak A. Pearlmutter <bap@debian.org>
 Build-Depends: debhelper-compat (= 13),
  bison,
  flex,
  flite1-dev,
  libespeak-dev,
  libqt5serialport5-dev,
- libqt5webkit5-dev,
  libqt5texttospeech5-dev,
  libsqlite3-dev,
  qtbase5-dev,
  qtmultimedia5-dev,
  qttools5-dev,
  qttools5-dev-tools,
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Rules-Requires-Root: no
 Homepage: https://www.basic256.org/
 Vcs-Browser: https://salsa.debian.org/debian/basic256

=== debian/rules ===
#!/usr/bin/make -f
export DEB_BUILD_MAINT_OPTIONS=hardening=+all
export QT_SELECT=qt5

include /usr/share/dpkg/architecture.mk
ifeq ($(DEB_BUILD_ARCH),$(DEB_HOST_ARCH))
QMAKE = qmake
else
QMAKE = $(DEB_HOST_GNU_TYPE)-qmake
endif

%:
	dh $@ --buildsystem=qmake

execute_before_dh_auto_build:
	@echo "Build translation files regardless of whether they are included in sources."
	-lrelease BASIC256.pro

override_dh_auto_clean:
	dh_auto_clean -- QMAKE=$(QMAKE)

override_dh_auto_configure:
	dh_auto_configure -- BASIC256.pro
